# $Revision: 1.9 $, $Date: 2004/08/16 20:50:47 $
# TODO:
# - separate package with www-files
%include	/usr/lib/rpm/macros.perl
Summary:	A redirect script for the Squid proxy to block ad banners
Summary(pl):	Skrypt dla Squida przekierowujcy w celu blokowania bannerw reklamowych
Name:		bannerfilter
Version:	1.31
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://phroggy.com/files/unix/%{name}-%{version}.tar.gz
# Source0-md5:	329a8a6e2b04b21a6f77a365e62e0881
Source1:	%{name}.cron
Patch0:		%{name}-conf.patch
URL:		http://phroggy.com/bannerfilter/
BuildRequires:	rpm-perlprov >= 3.0.3-18
Requires:	squid
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_http_dir	/home/services/httpd/html/bannerfilter

%description
BannerFilter is a redirect script for the Squid proxy server, designed
to block advertising banners on the Web. Unlike most other solutions,
it also automatically closes popup windows.

%description -l pl
BannerFilter to skrypt przekierowujcy dla serwera proxy Squid,
przeznaczony do blokowania bannerw reklamowych na WWW. W
przeciwiestwie do innych rozwiza, dodatkowo automatycznie zamyka
wyskakujce okienka.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/squid/%{name},%{_sysconfdir}/cron.daily/,%{_sbindir},%{_http_dir}}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/bannerfilter
install bannerfilter.conf $RPM_BUILD_ROOT%{_sysconfdir}/squid
install redirector.pl $RPM_BUILD_ROOT%{_sbindir}/redirector
install update.sh $RPM_BUILD_ROOT%{_sbindir}/%{name}-update
install www/* $RPM_BUILD_ROOT%{_http_dir}
install *.data $RPM_BUILD_ROOT%{_sysconfdir}/squid/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Add to your squid config following line:"
echo "redirect_program %{_sbindir}/redirector"

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_sbindir}/redirector
%attr(755,root,root) %{_sbindir}/%{name}-update
%attr(740,root,root) /etc/cron.daily/bannerfilter
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/squid/*.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/squid/%{name}/*.data
%attr(750,root,squid) %dir %{_sysconfdir}/squid/%{name}
%{_http_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bannerfilter.spec,v $
Revision 1.9  2004/08/16 20:50:47  misi3k
- updated to 1.31

Revision 1.8  2004/06/05 07:42:31  paszczus
- updated to 1.3
- added very poor cron.daily file ( updated TODO )
- added Epoch

Revision 1.7  2004/02/22 00:35:12  andree
- back to /home/services

Revision 1.6  2004/02/18 14:38:20  andree
- /home/services -> /srv (FHS 2.3)

Revision 1.5  2003/08/06 16:32:39  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.4  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:45:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/12/28 01:33:07  qboosh
- pl

Revision 1.1  2002/12/26 18:34:45  blues
- initial release (works nice :) )
